Bug 782943 - (CVE-2011-4153) CVE-2011-4153 php: zend_strndup() NULL pointer dereference may cause DoS
CVE-2011-4153 php: zend_strndup() NULL pointer dereference may cause DoS
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120110,reported=2...
: Security
Depends On: 819855 819856 830727 830728 830729 830730
Blocks: 782956 835958 835959 835960
  Show dependency treegraph
 
Reported: 2012-01-18 17:21 EST by Vincent Danen
Modified: 2016-03-04 06:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-27 13:16:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-01-18 17:21:29 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-4153 to
the following vulnerability:

Name: CVE-2011-4153
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-4153
Assigned: 20111021
Reference: http://archives.neohapsis.com/archives/bugtraq/2012-01/0092.html
Reference: http://www.exploit-db.com/exploits/18370/
Reference: http://cxsecurity.com/research/103

PHP 5.3.8 does not always check the return value of the zend_strndup
function, which might allow remote attackers to cause a denial of
service (NULL pointer dereference and application crash) via crafted
input to an application that performs strndup operations on untrusted
string data, as demonstrated by the define function in
zend_builtin_functions.c, and unspecified functions in
ext/soap/php_sdl.c, ext/standard/syslog.c, ext/standard/browscap.c,
ext/oci8/oci8.c, ext/com_dotnet/com_typeinfo.c, and
main/php_open_temporary_file.c.
Comment 1 Vincent Danen 2012-01-18 17:37:55 EST
I don't see in the 5.3.9 changelog that this has been corrected, so Fedora may indeed be affected by this.
Comment 2 Vincent Danen 2012-01-18 17:43:36 EST
The upstream bug is here:

https://bugs.php.net/bug.php?id=55748

And the upstream commit for the 5.3 branch is here:

http://svn.php.net/viewvc/?view=revision&revision=319457
Comment 3 Vincent Danen 2012-01-18 17:50:00 EST
Also this commit is relevant, the above is just for oci8.c.

http://svn.php.net/viewvc?view=revision&revision=319442

Looks like the fix from r319457 made it into 5.3.x, but the fix from r319442 did not, or did not fully, looking at:

http://svn.php.net/viewvc/php/php-src/tags/php_5_3_9/ext/com_dotnet/com_typeinfo.c?view=log
Comment 4 Remi Collet 2012-01-19 00:22:39 EST
oci8 (Oracle) and com_dotnet (Windows) extensions are not available in fedora
Comment 8 errata-xmlrpc 2012-06-27 11:52:14 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1047 https://rhn.redhat.com/errata/RHSA-2012-1047.html
Comment 9 errata-xmlrpc 2012-06-27 11:52:48 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1046 https://rhn.redhat.com/errata/RHSA-2012-1046.html
Comment 10 errata-xmlrpc 2012-06-27 11:54:04 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1045 https://rhn.redhat.com/errata/RHSA-2012-1045.html

Note You need to log in before you can comment on or make changes to this bug.